RewriteEngine On
RewriteBase /
Options +FollowSymlinks
RewriteCond %{HTTP_HOST} ^rockowa.com
RewriteRule ^(.*)$ http://www.rockowa.com/$1 [R=permanent,L]
ErrorDocument 404 http://www.rockowa.com/

RewriteCond %{REQUEST_URI} ^/home
RewriteRule ^(.*)$ http://www.rockowa.com/ [R=permanent,L]

RewriteCond %{REQUEST_URI} ^/s,1,home
RewriteRule ^(.*)$ http://www.rockowa.com/ [R=permanent,L]

RewriteRule ^$ index.php?rw=change_site&id=1 [L]

RewriteRule ^admin/strona_glowna$ admin/index.php [L]
RewriteRule ^szablon,([^-]+)$ index.php?template=$1 [L]
RewriteRule ^lang,([^-]+)$ index.php?rw=change_language&id=$1 [L]

RewriteRule ^s,([0-9]+),([^,]+)$ index.php?rw=change_site&id=$1 [L]
RewriteRule ^s,([0-9]+),([0-9]+),([^,]+)$ index.php?rw=change_site&id=$1&bs=$2 [L]

RewriteRule ^a,([0-9]+),([^,]+)$ index.php?art=$1 [L]

RewriteRule ^rejestracja$ index.php?rw=change_site&type=registration [L]
RewriteRule ^odzyskaj_haslo$ index.php?rw=change_site&type=password_recovery [L]
RewriteRule ^wyszukiwarka$ index.php?rw=change_site&type=search [L]
RewriteRule ^([0-9]+),wyszukiwarka$ index.php?rw=change_site&type=search&bs=$1 [L]
RewriteRule ^mapa_strony$ index.php?rw=change_site&type=sitemap [L]
RewriteRule ^pobierz,([0-9]+)$ index.php?download=$1 [L]

<files htaccess.conf>
Order deny,allow
deny from all
</files>
<files database.conf>
Order deny,allow
deny from all
</files>
RewriteRule ^home$ index.php?rw=change_site&id=1 [L]
RewriteRule ^sale$ index.php?rw=change_site&id=14 [L]
RewriteRule ^aktualnosci$ index.php?rw=change_site&id=2 [L]
RewriteRule ^cennik$ index.php?rw=change_site&id=3 [L]
RewriteRule ^logo$ index.php?rw=change_site&id=11 [L]
RewriteRule ^kalendarz$ index.php?rw=change_site&id=5 [L]
RewriteRule ^o-szkole$ index.php?rw=change_site&id=6 [L]
RewriteRule ^kontakt$ index.php?rw=change_site&id=9 [L]
RewriteRule ^kadra$ index.php?rw=change_site&id=12 [L]
RewriteRule ^galeria$ index.php?rw=change_site&id=13 [L]
RewriteRule ^gitara$ index.php?art=$167 [L]
RewriteRule ^o-szkole$ index.php?art=$18 [L]
RewriteRule ^gitarowy-zawrot-glowy$ index.php?art=$110 [L]
RewriteRule ^mira-kubasinksa-koncert$ index.php?art=$111 [L]
RewriteRule ^damian-zajac$ index.php?art=$112 [L]
RewriteRule ^dariusz-majewski$ index.php?art=$113 [L]
RewriteRule ^miroslaw-wysokinski$ index.php?art=$114 [L]
RewriteRule ^marcin-grzesik$ index.php?art=$193 [L]
RewriteRule ^oscar-kuzniar$ index.php?art=$115 [L]
RewriteRule ^przemyslaw-obirek$ index.php?art=$116 [L]
RewriteRule ^tomasz-pielaszkiewicz$ index.php?art=$117 [L]
RewriteRule ^sladamia-bieszczadzkich-aniolow$ index.php?art=$119 [L]
RewriteRule ^bezplatne-warsztaty-gitarowe$ index.php?art=$120 [L]
RewriteRule ^dawid-klimkowski$ index.php?art=$121 [L]
RewriteRule ^wigilia-2012$ index.php?art=$122 [L]
RewriteRule ^rockowe-ferie-w-rsm-2013$ index.php?art=$123 [L]
RewriteRule ^wetlina-2013$ index.php?art=$125 [L]
RewriteRule ^letni-oboz-muzyczny-2013$ index.php?art=$126 [L]
RewriteRule ^michal-kornaga$ index.php?art=$127 [L]
RewriteRule ^artur-sikora$ index.php?art=$131 [L]
RewriteRule ^rockowe-ferie-w-rsm-2014$ index.php?art=$138 [L]
RewriteRule ^oboz-muzyczny-2014$ index.php?art=$139 [L]
RewriteRule ^zdjecia-osrodka$ index.php?art=$140 [L]
RewriteRule ^dni-otwarte-w-rockowej-szkole-muzycznej$ index.php?art=$146 [L]
RewriteRule ^pawel-kus$ index.php?art=$148 [L]
RewriteRule ^bartosz-mierzejewski$ index.php?art=$149 [L]
RewriteRule ^oboz-muzyczny-2015$ index.php?art=$150 [L]
RewriteRule ^wojciech-woloszynski$ index.php?art=$159 [L]
RewriteRule ^pianino$ index.php?art=$169 [L]
RewriteRule ^letni-oboz-muzyczny-2017$ index.php?art=$177 [L]
RewriteRule ^wokal$ index.php?art=$168 [L]
RewriteRule ^natalia-wojcik$ index.php?art=$192 [L]
RewriteRule ^perkusja$ index.php?art=$170 [L]
RewriteRule ^skrzypce$ index.php?art=$171 [L]
RewriteRule ^gitara-basowa$ index.php?art=$172 [L]
RewriteRule ^katarzyna-burkot$ index.php?art=$173 [L]
RewriteRule ^obozy-muzyczne$ index.php?art=$175 [L]
RewriteRule ^oboz-muzyczny-2018$ index.php?art=$185 [L]
RewriteRule ^ukulele$ index.php?art=$187 [L]
RewriteRule ^ferie-2019$ index.php?art=$188 [L]
RewriteRule ^oboz-muzyczny-2019$ index.php?art=$190 [L]
RewriteRule ^krzysztof-zieminski$ index.php?art=$191 [L]
RewriteRule ^krzysztof-lewicki$ index.php?art=$195 [L]
RewriteRule ^jakub-jedrzejczyk$ index.php?art=$197 [L]